
#include "seekwidget.h"
#include <qlabel.h>
#include <qdatetime.h>
#include <qdatetimeedit.h>

SeekWidget::SeekWidget( QWidget* parent, const char* name, WFlags fl)
	: SeekWidgetBase(parent,name,fl)
{
	time_edit->setDisplay(QTimeEdit::Minutes | QTimeEdit::Seconds);
}

SeekWidget::~SeekWidget() {
}

void SeekWidget::setIcon(QPixmap icon) {
	image->setText("");
	image->setPixmap(icon);
}

void SeekWidget::setLabel(QString text) {
	label->setText(text);
}

void SeekWidget::setTime(int secs) {
	/*
	int m = (int) secs / 60;
	int s = secs - (m*60);

	minutes->setValue(m);
	seconds->setValue(s);
	*/
	QTime t;
	time_edit->setTime(t.addSecs(secs));
}

int SeekWidget::time() {
	/*
	return (minutes->value() * 60) + seconds->value();
	*/
	QTime t = time_edit->time();
	return (t.minute() * 60) + t.second();
}

